指定されたフェデレーションから、接続された組織構成を 1 つ削除します。注: フェデレーション内に接続されている組織が 1 つだけ存在する場合、この要求は失敗します。
ロールの要件
- 組織所有者
path パラメータ
-
フェデレーションを識別するユニークな 24 桁の 16 進数文字列。
形式は次のパターンと一致する必要があります:
^([a-f0-9]{24})$。 -
削除対象の接続済み組織の構成を識別するユニークな 24 桁の 16 進数文字列。
形式は次のパターンと一致する必要があります:
^([a-f0-9]{24})$。
DELETE /API/Atlas/v1.0/federationSettings/{federationSettingsId}/connectedOrgConfigs/{orgId}
curl \
--request DELETE 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/connectedOrgConfigs/32b6e34b3d91647abb20e7b8' \
--header "Authorization: Bearer $ACCESS_TOKEN"
応答の例(400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
応答の例(401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
応答の例(403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
応答の例(404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
応答の例(500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}